classification
Title: PEP 3121, 384 refactoring applied to curses_panel module
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Robin.Schreiber, loewis, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2012-05-28 16:44 by Robin.Schreiber, last changed 2016-05-08 18:35 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
curses_panel_pep384.patch Robin.Schreiber, 2012-05-28 16:44
curses_panel_pep3121.patch Robin.Schreiber, 2012-05-28 16:44
Messages (5)
msg161793 - (view) Author: Robin Schreiber (Robin.Schreiber) * Date: 2012-05-28 16:44
I have now applied the Heap-Type Refactoring from PEP 384 to the curses_panel module. Currently I still provide seperate patches for the PEP 3121 and PEP 384 refactoring. As mentioned in Issue #14935 I am planning to release single patches in the future for each module I refactor.
msg161794 - (view) Author: Robin Schreiber (Robin.Schreiber) * Date: 2012-05-28 16:45
I have now also added the PEP3121 patch for the curses_panel module.
msg162790 - (view) Author: Roundup Robot (python-dev) Date: 2012-06-14 14:09
New changeset 9a6b45a83dec by Martin v. Löwis in branch 'default':
Issue #14936: curses_panel was converted to PEP 3121 API.
http://hg.python.org/cpython/rev/9a6b45a83dec

New changeset 6eb21c1d3099 by Martin v. Löwis in branch 'default':
Issue #14936: curses_panel was converted to PEP 3121 and PEP 384 API.
http://hg.python.org/cpython/rev/6eb21c1d3099
msg162791 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-06-14 14:11
Thanks for the patches!
msg265155 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-05-08 18:35
This patch made the "_curses_panel.curses panel" type callable. Created objects were in inconsistent state and using them caused a crash.

This bug is fixed in issue23815. Opened issue26979 for documenting the catch.
History
Date User Action Args
2016-05-08 18:35:54serhiy.storchakasetstage: resolved
2016-05-08 18:35:43serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg265155
2013-08-07 09:07:47belopolskylinkissue15787 dependencies
2012-06-14 14:11:00loewissetstatus: open -> closed

nosy: + loewis
messages: + msg162791

resolution: fixed
2012-06-14 14:09:38python-devsetnosy: + python-dev
messages: + msg162790
2012-05-28 16:45:44Robin.Schreibersetmessages: + msg161794
2012-05-28 16:44:52Robin.Schreibersetfiles: + curses_panel_pep3121.patch
2012-05-28 16:44:29Robin.Schreibercreate